<?php
// swfmovie.php - swf output and config

require('../../../../../../configuration.php');
require($mosConfig_absolute_path.'/administrator/components/com_artforms/config.artforms.php');
session_start();

if (version_compare(phpversion(), "5.0.0", ">=")) { 
	include_once($mosConfig_absolute_path.'/components/com_artforms/includes/captcha/includes/captchatalk/swfcaptcha5.php');
} else { 
	include_once($mosConfig_absolute_path.'/components/com_artforms/includes/captcha/includes/captchatalk/swfcaptcha4.php');
} 

$swfc = new swfcaptcha();
$swfc->captcha_length = $afcfg_captcha_length;
$swfc->soundlang = $mosConfig_lang;
$swfc->fontdir = $mosConfig_absolute_path.'/components/com_artforms/includes/captcha/fonts';
$swfc->imagesdir = $mosConfig_absolute_path.'/components/com_artforms/includes/captcha/bg';
$swfc->sounddir =  $mosConfig_absolute_path.'/components/com_artforms/includes/captcha/audio';

if (($afcfg_captcha_mode=='audio') || ($afcfg_captcha_mode=='both')) {
   $swfc->talking = true;
} else {
   $swfc->talking = false;
}

$swfc->swfmovie();

?>
